Bug 18458 - redhat 7 graphical install workstation and KDE locks up
redhat 7 graphical install workstation and KDE locks up
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-05 15:03 EDT by Jerry Geis
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 14:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry Geis 2000-10-05 15:03:56 EDT
I use the graphical install method, select workstation, deselect GNOME and 
select KDE. When it says scanning for dependencies it loks up.
mouse wont move installation halts and nothing else happens.

Jerry Geis
MessageNet Systems
geisj@pagestation.com
Comment 1 Michael Fulbright 2000-10-05 17:41:27 EDT
What type of hardware do you have?
Comment 2 Jerry Geis 2000-10-05 18:01:20 EDT
It has nothing to do with the hardware. The same machine installs 6.0, and 6.2
However, there hardware is 

Optiquest Q53 monitor
AMd K62-500
IBM  deskstar 15G
Motherboard Gigabyte
64 Meg RAM
CDROM mitsumi

Hope thats all you need.

Again, If I use text install and server mode I can install just fine.
The graphical install, turn off GNOME and select KDE it locks up every time.

Jerrry
Comment 3 Michael Fulbright 2000-10-06 16:31:58 EDT
Thanks for the information.

Please verify this Brent.
Comment 4 Brent Fox 2000-10-06 17:11:57 EDT
I was unable to reproduce this behavior.  I did a workstation install in GUI
mode, unselected GNOME and selected KDE and clicked "Next".  The installer
displayed the message: "Checking dependencies in packages selected for
installation."  It took a few moments for this to finish, but I could move my
mouse the whole time.  Then the next screen came up.

I can't figure out why it works for you in text mode but not graphical mode. 
Are you installing from a CD that you burned yourself?  It's pretty common for
there to be errors in burned CDs.  If a file that anaconda is trying to find is
either corrupted or nonexistant, then that could be why anaconda is locking up.

Dr. Mike, any ideas?
Comment 5 Jerry Geis 2000-10-06 19:38:35 EDT
No it is an official redhat CD. Do you want my product id?
I was going to put it here but then I thought this is a public
medium people can search so I deleted it.

Jerry
Comment 6 Jerry Geis 2000-10-06 23:27:31 EDT
Gents,

After trying MANY things I finally stumbled on something.
The video card I was using on this machine is a Diamond Stealth S220.
I replaced this card with another one I had (Mach64) from a different machine
and it now works.

Hope this greatly narrows things down for you.

Jerry Geis
Comment 7 Brent Fox 2000-10-06 23:55:14 EDT
Jerry,

Wow, that is really strange.  I wouldn't think that the type of video card would
have anything to do with it.  But you say this machine installs 6.1 and 6.2
fine, right?  I'm wondering if it installs 6.1 or 6.2 in the exact same
situation where you unselect GNOME and select KDE...  I think we have a Diamond
Stealth 220 at the office...I'll try to reproduce this using that card.  Thanks
for your feedback and your help.

-Brent
Comment 8 Brent Fox 2000-10-09 17:07:14 EDT
We don't have a Diamond Stealth 220 card in our labs after all, so I have no way
to reproduce the problem.  According to the Diamond web site
http://itvweb.diamondmm.com/vanweb_2.0/vanweb-bin/vanweb.dll/0971124938x233x70/researchagent
, the Stealth II S220 uses the Verite 2100 chipset.  And according to the
XFree86 web site, http://www.xfree86.org/4.0.1/rendition1.html#1 , the Verite
2100 chip set is supported under XFree84 4.  So theoretically, you should be
able to run Xconfigurator after installation and get your Diamond Stealth II
S220 card to work.  Quite honestly, I don't know why the installer would hang at
that particular point.  I'm going to leave this bug open so that if I can ever
get my hands on that particular card, I'll try to fix this.

-Brent
Comment 9 Brad Mittelstedt 2000-11-20 09:30:29 EST
I can verify that this must exist as a bug.  I to have had the same thing happen
when installing RH7 on a box with a 220.  But the problem seemed not only to be
isolated to graphical install.  I had lockup after lockup doing text mode
installation where the entire installation would just freeze up.  Now the kicker
is the freeze up will happen in random places.  Sometimes at formating,
sometimes while installing software, or even sometimes at the beginning of the
installation.  I was able to get this machine installed via text mode after
repeated attempts, as even that will freeze up.

On the same machine, 6.1 will install like a charm.

Stealth II S220 4 meg
ASUS TX97 with AMD K6/200
64 Meg

Not sure if this is related, but I am also being cursed on another installation,
with the same thing happening.  That setup is as follows.

Virge S3/Dx 4 meg (pretty cheap video card)
Spacewalker with AMD K6/200
64 Meg

This machine I have had zero luck getting installed.  I am going to try pulling
out the video card and throw in an old trident to see what happens.  Oh, and 6.1
will install like a charm on this box also.

Note You need to log in before you can comment on or make changes to this bug.